ApiDiscovery
Store signed announcement
Stores the merchant-signed kind **30078**. This service does not mint the event — it only remembers and re-broadcasts what the merchant already signed.
PUT
/api/coupons/discoveryStores the merchant-signed kind 30078. This service does not mint the event — it only remembers and re-broadcasts what the merchant already signed.
Authorization<token>
Nostr <base64 of kind 27235 event>. Tags: u, method, optional
payload (sha256 hex of body), and a random nonce to avoid replay.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/api/coupons/discovery" \ -H "Content-Type: application/json" \ -d '{ "event": { "id": "string", "pubkey": "string", "created_at": 0, "kind": 0, "tags": [ [ "string" ] ], "content": "string", "sig": "string" } }'{ "event": { "id": "string", "pubkey": "string", "created_at": 0, "kind": 0, "tags": [ [ "string" ] ], "content": "string", "sig": "string" }}